
#property copyright ""
#property link      ""
#property version   "1.00"
#property strict
//+------------------------------------------------------------------+
#include  <Trade\AccountInfo.mqh>
#include  <Trade\DealInfo.mqh>
#include  <Trade\HistoryOrderInfo.mqh>
#include  <Trade\OrderInfo.mqh>
#include  <Trade\PositionInfo.mqh>
#include  <Trade\SymbolInfo.mqh>
#include  <Trade\TerminalInfo.mqh>
#include  <Trade\Trade.mqh>
#include  "FixTrader.mqh"
//+------------------------------------------------------------------+
CFixTrader *gp_CFixTrader;
//+------------------------------------------------------------------+
enum eBuyType
{
   E_ORDER_TYPE_BUY,
   E_ORDER_TYPE_BUY_STOP,
   E_ORDER_TYPE_BUY_LIMIT,
   E_ORDER_TYPE_BUY_STOP_LIMIT
};
//+------------------------------------------------------------------+
enum eSellType
{
   E_ORDER_TYPE_SELL,
   E_ORDER_TYPE_SELL_STOP,
   E_ORDER_TYPE_SELL_LIMIT,
   E_ORDER_TYPE_SELL_STOP_LIMIT
};   
//+------------------------------------------------------------------+
input int       ps32_Magic = 1;//EA Magic
input eBuyType  pe_BuyType  = E_ORDER_TYPE_BUY;//Buy Type
input eSellType pe_SellType = E_ORDER_TYPE_SELL;//Sell Type
input int       ps32_QuotesDifToTrade_Pips     = 30;//Pips,Buy if(FIX_Bid-Broker_Ask)>=...Sell if(Broker_Bid-FIX_Ask)>=... 

input int       ps32_PendLifeTimeMilliSeconds  = 5000;//MilliSeconds,Pending Life Time
input int       ps32_PendPriceOffset_Pips      = 10;//Pips,Pending Price Offset Relatively to Market
input int       ps32_PendLimitPriceOffset_Pips = 100;//Pips,Pending Limit Price Offset Relatively to Pending Price

input int       ps32_PendDeviation_Pips        = 10;//Pips,Pending orders Slippage 
input int       ps32_MarketDeviation_Pips      = 10;//Pips,Market orders  Slippage 

input string    psw_SymbolToTrade              = "";//Symbol To Trade,Empty means to trade current Symbol
input double    pd_LotSize                     = 0.1;//Lot Size
input int       ps32_StopLoss                  = 100;//Pips,Stop Loss
input int       ps32_TakeProfit                = 300;//Pips,Take Profit
input int       ps32_StopLossStartTrail_Pips   = 100;//Pips,Stop Loss Start Trail
//+------------------------------------------------------------------+
int OnInit()
{
   gp_CFixTrader = new CFixTrader();
   
   if (!gp_CFixTrader.InitAndCheckParms())
      return(INIT_FAILED);
   
   return(INIT_SUCCEEDED);
}
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
{
   delete gp_CFixTrader;
}
//+------------------------------------------------------------------+
void OnTick()
{
   gp_CFixTrader.Run();   
}
//+------------------------------------------------------------------+
void OnTimer()
{
}
//+------------------------------------------------------------------+
void OnTrade()
{
}
//+------------------------------------------------------------------+
void OnTradeTransaction(const MqlTradeTransaction& trans,
                        const MqlTradeRequest& request,
                        const MqlTradeResult& result)
{
}
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
{
}
//+------------------------------------------------------------------+
void OnBookEvent(const string &symbol)
{
}
//+------------------------------------------------------------------+
